package people;

public class SuperMan extends Human {
	private int superPower;

	public SuperMan() {
		this("Clark Kent", 1982, Human.MALE);
	}

	public SuperMan(String name, int birthDate, boolean isMale) {
		super(name, birthDate, isMale);
		superPower = 5;
	}

	public int getSuperPower() {
		return superPower;
	}

	public boolean saveTheWorld() {
		if (superPower > 0) {
			System.out.println(this + " saved the world!");
			superPower--;
			return true;
		} else {
			System.out.println(this + " has no power... :-( ");
			return false;
		}
	}
	
	public String toString() {
	  return super.toString() + "superPower=" + superPower + " and he/she is a super man!";
	}
	
	public void drinkABeer() {
	  superPower += 5;
	}
	
	public void kryptoniteRay() {
	  superPower = 0;
	  System.out.println(this + " gets some kryptonite ray... ouch!");
	}
	
}
